﻿@model IEnumerable<WebFBX.Models.ClientesEsperaModels>

@{
    Layout = null;
    int i = 0;
    string codigoproducto = ViewData["codigopro"].ToString();
}

<br />
<div class="row">
    <div class="col-lg-2" style="max-width:130px">
        <img src="@Url.Action("GetFoto","ListaEspera",new { codigo=codigoproducto})" alt="" class="img-fluid" style="max-width:120px;" />
    </div>
    <div class="col-lg-10">
        <div class="row">
            <div class="col-lg-12">
                <u>@ViewData["nombreproducto"]</u>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                @ViewData["agotado"]
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                @ViewData["cant_usuarios"]
            </div>
        </div>
    </div>
</div>

<br />
<table id="table_clientes" class="table-striped table-bordered tableSection table_consulta cursor_table" cellspacing="0" width="100%" data-role="datatable">
    <thead>
        <tr>
            <th>
                Nombre
            </th>
            <th>
                Teléfono
            </th>
            <th>
                Fecha
            </th>
            <th>
                Email
            </th>
            <th>
                Acciones
            </th>

        </tr>
    </thead>
    <tbody>

        @foreach (var item in Model)
        {
            i++;
            <tr>

                <td>
                    @item.nombre
                </td>
                <td>
                    @item.telefono
                </td>
                <td>
                    @item.fecha
                </td>
                <td>
                    @item.email
                </td>
                <td class="text-center acciones">
                    <button type="button" id="enviaremail_@i" class="btn btn-success btn-sm enviar_email_cliente" data-nombreproducto="@item.nombreproducto" data-telefono="@item.telefono" data-cliente="@item.nombre" data-correo="@item.email" data-codigo="@item.codigopro" data-fila="@i" data-nombre="@item.nombreproducto" title="Enviar email al cliente">
                        <span class="fas fa-envelope"></span> Enviar
                    </button>
                </td>

            </tr>
        }
    </tbody>
</table>

<script type="text/javascript" class="init">

    $(document).ready(function () {
        table_clientes = $('#table_clientes').DataTable({
            destroy: true,
            "bInfo": true,
            "bPaginate": true,
            "searching": true,
            "bSort": false,
            "scrollX": true,
            //"autoWidth": false,
            //"scrollX": "100%",
            //"scrollXInner": "110%",
            //"scrollCollapse": true,
            //"autoWidth": false,
            dom: 'Bfrtip',
            buttons: [
                {
                    text: '<i class="fas fa-chevron-left"></i> Atras',
                    action: function (e, dt, node, config) {
                        listado_productosespera();
                    }

                },
                'copy', 'csv', 'excel', 'pdf', 'print',
                
            ],

            "columns": [
                { "width": "40%" },
                { "width": "20%" },
                { "width": "10%" },
                { "width": "20%" },
                { "width": "10%" },
            ],
            "lengthMenu": [[10, 15, 45, 75, 105, 135, 165, 195, 225, 255, 285], [10, 15, 45, 75, 105, 135, 165, 195, 225, 255, 285]],
            "language": {
                "sProcessing": "Procesando...",
                "sLengthMenu": "Mostrar _MENU_ registros",
                "sZeroRecords": "No se encontraron resultados",
                "sEmptyTable": "Ningún dato disponible en esta tabla",
                "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
                "sInfoPostFix": "",
                "sSearch": "Buscar:",
                "sUrl": "",
                "sInfoThousands": ",",
                "sLoadingRecords": "Cargando...",
                "oAria": {
                    "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                    "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                },
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                },
                "buttons": {
                    copy: 'copiar',
                    print: 'impimir'

                }
            },
            fixedHeader: {
                header: true,
                footer: true
            },

        });
        $(".dt-button").addClass("btn btn-sm");
        $(".dt-button").addClass("padding_5_datatable");
        var device = getBrowserWidth();
        if (device === "xs") {
            $(".acciones").addClass("form-inline");
            $(".enviar_email").html('<span class="fas fa-envelope"></span>');
            $(".verusuario").html(' <span class="fas fa-user"></span>');

        } else {
        }


        $('#table_clientes tbody').on('click', '.enviar_email_cliente', function (e) {
            //e.preventDefault();
            var codigo = $(this).data('codigo');
            var cliente = $(this).data('cliente');
            var correo = $(this).data('correo');
            var telefono = $(this).data('telefono');
            var nombreproducto = $(this).data('nombreproducto');

            var fd = new FormData();
            fd.append("codigo", codigo);
            fd.append("nombrecliente", cliente);
            fd.append("correocliente", correo);
            fd.append("telefono", telefono);
            fd.append("nombreproducto", nombreproducto);


            $.ajax({
                type: "POST",
                url: '/ListaEspera/EnviarEmailUsuario/',
                data: fd,
                contentType: false,
                processData: false,
                DataType: 'json',
                success: function (data) {
                    if (data == "1") {
                        $("#modal_exito").modal("show");
                        $("#exito_modal_msj").html('Correo enviado exitosamente');
                        listado_productosespera();
                    }
                    else {
                        $("#modal_error").modal("show");
                        $("#error_modal_msj").html("Error interno:" + data);
                    }
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    $("#modal_error").modal("show");
                    $("#error_modal_msj").html("Error de conexion al guardar cliente: " + errorThrown);
                }
            });
        });

    });
</script>


